Browse Source

Increase dependabot dependencies scope from security-only. (#13400)

* Update config.yml

* Update config.yml

* Update config.yml

* Update config.yml
Shlee 4 months ago
parent
commit
2924cef2f8
No account linked to committer's email address
1 changed files with 18 additions and 0 deletions
  1. 18
    0
      .dependabot/config.yml

+ 18
- 0
.dependabot/config.yml View File

@@ -4,7 +4,25 @@ update_configs:
4 4
   - package_manager: "ruby:bundler"
5 5
     directory: "/"
6 6
     update_schedule: "weekly"
7
+    # Supported update schedule: live daily weekly monthly
8
+    version_requirement_updates: "auto"
9
+    # Supported version requirements: auto widen_ranges increase_versions increase_versions_if_necessary
10
+    allowed_updates:
11
+      - match:
12
+          dependency_type: "all"
13
+          # Supported dependency types: all indirect direct production development
14
+          update_type: "all"
15
+          # Supported update types: all security
7 16
 
8 17
   - package_manager: "javascript"
9 18
     directory: "/"
10 19
     update_schedule: "weekly"
20
+    # Supported update schedule: live daily weekly monthly
21
+    version_requirement_updates: "auto"
22
+    # Supported version requirements: auto widen_ranges increase_versions increase_versions_if_necessary
23
+    allowed_updates:
24
+      - match:
25
+          dependency_type: "all"
26
+          # Supported dependency types: all indirect direct production development
27
+          update_type: "all"
28
+          # Supported update types: all security

Loading…
Cancel
Save